using System;
using System.Windows.Media;
using System.Threading;

using Styx.Common;
using Styx.Common.Helpers;
using Styx.Plugins;
using Styx.WoWInternals;

namespace DND
{
    public partial class DND : HBPlugin
    {
    #region Overrides of HBPlugin 
        public override void Initialize(){}
        public override void Dispose(){}

        public override string  ButtonText { get { return "No Settings"; } }
        public override bool    WantButton { get { return false; } }
        public override void OnButtonPress() {}
        public override string  Name { get { return "DND"; } }
        public override string  Author { get { return "Powa"; } }
        public override Version Version { get { return new Version(0, 1); } }

        public override void Pulse()
		{
			
			//getting dnd info
            bool isDND = Lua.GetReturnVal<bool>("return  UnitIsDND(\"player\")",0);
			if(isDND==false)
			{	String msg = "Message";   // Choose your message here 
			
	            Lua.DoString("RunMacroText(\"/dnd "+msg+ "\")"); 
				Logging.Write(Colors.SeaGreen, "Your are now Busy : DND");
				Thread.Sleep(1000);
			}
		}

    #endregion
    }
}